Subject: Re: [PATCH 1/5] Allow alternate "low-level" emit function from xdl_diff

From: [email-masked] (Brian Downing)
Date: Sun, 24 Aug 2008 03:12:54 -0500

On Sat, Aug 23, 2008 at 10:15:59AM +0200, René Scharfe wrote:
> Could we move more code into the library code to avoid that ugliness?
> 
> AFAICS, compare_buffer() builds a struct patch with an array of
> struct chunks, whose members are then fed one by one into either
> blame_chunk() or handle_split().  Could we avoid the allocation
> altogether by using a different interface?

Thanks, I think this is a good idea.  I'll try to work up something like
this, but it may be a few days before I have any appreciable hacking
time to do so.

-bcd